Endpoints
List jobs
List the authenticated user’s optimization jobs. Returns job summaries with status, timestamps, and identifiers.
GET
/
planner
/
jobs
List jobs
curl --request GET \
--url https://api.fryte.com/planner/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fryte.com/planner/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fryte.com/planner/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fryte.com/planner/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.fryte.com/planner/jobs");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fryte.com/planner/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.fryte.com/planner/jobs")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fryte.com/planner/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.fryte.com/planner/jobs")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()[
{
"date_created": "2026-04-30T08:00:00Z",
"job_id": "c3f1c944-a44c-4c07-ab52-7df7ba94024a",
"last_update": "2026-04-30T08:00:25Z",
"optimization_id": 7658,
"status": "succeeded"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HybridAuthBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Deprecated. If provided, must match the authenticated user's ID; jobs are always listed for the authenticated user.
Tenant ID
Response
Successful Response
Optimization identifier.
Job identifier (UUID).
Timestamp when the job was created (ISO-8601).
Timestamp of the last status update (ISO-8601).
Current job status.
Available options:
queued, running, succeeded, not_drivable, failed, canceled ⌘I
List jobs
